al_identity_transform(3)

NAME

al_identity_transform - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_identity_transform(ALLEGRO_TRANSFORM *trans)

DESCRIPTION

Sets the transformation to be the identity transformation. This is the default transformation. Use al_use_transform(3) on an identity transformation to return to the default.

    ALLEGRO_TRANSFORM t;
    al_identity_transform(&t);
    al_use_transform(&t);

Parameters:

•   trans - Transformation to alter

SEE ALSO

al_translate_transform(3), al_rotate_transform(3), al_scale_transform(3)